Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 484)
@@ -83,6 +83,49 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("CreateDate") || strWork.Equals("LastRowStringDate")
+                            || strWork.Equals("PrintoutDate") || strWork.Equals("OrderDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 注文書データ検索文字列作成
         /// <summary>
         /// 注文書データ検索文字列作成
@@ -91,34 +134,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM PurchaseOrder", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("CreateDate") || strWork.Equals("LastRowStringDate")
-                        || strWork.Equals("PrintoutDate") || strWork.Equals("OrderDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM PurchaseOrder");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -254,9 +280,9 @@
                 strcmd.AppendFormat(",{0}", work.CompletionPaymentDays);                // 引渡し時の支払日数
                 strcmd.AppendFormat(",{0}", work.CompletionPaymentPrice);               // 引渡し時の支払金額
                 strcmd.AppendFormat(",{0}", work.LeadEngineerCode);                     // 主任技術者コード
-                strcmd.AppendFormat(",'{0}'", work.LeadEngineerName);                   // 主任技術者名
+                strcmd.AppendFormat(",{0}", SeparateString(work.LeadEngineerName));     // 主任技術者名
                 strcmd.AppendFormat(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
-                strcmd.AppendFormat(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
+                strcmd.AppendFormat(",{0}", SeparateString(work.SafetyOfficerName));    // 安全管理者名
                 strcmd.AppendFormat(",{0}", work.WorkersCount);                         // 作業員数
                 strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')", work.PrintoutDate.ToShortDateString());   // 印刷年月日
                 strcmd.AppendFormat(",{0}", work.RePrintFlag);                          // 再印刷可能フラグ
@@ -337,9 +363,9 @@
                     strcmd.AppendFormat(",{0}", work.CompletionPaymentDays);                // 引渡し時の支払日数
                     strcmd.AppendFormat(",{0}", work.CompletionPaymentPrice);               // 引渡し時の支払金額
                     strcmd.AppendFormat(",{0}", work.LeadEngineerCode);                     // 主任技術者コード
-                    strcmd.AppendFormat(",'{0}'", work.LeadEngineerName);                   // 主任技術者名
+                    strcmd.AppendFormat(",{0}", SeparateString(work.LeadEngineerName));     // 主任技術者名
                     strcmd.AppendFormat(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
-                    strcmd.AppendFormat(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
+                    strcmd.AppendFormat(",{0}", SeparateString(work.SafetyOfficerName));    // 安全管理者名
                     strcmd.AppendFormat(",{0}", work.WorkersCount);                         // 作業員数
                     strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')", work.PrintoutDate.ToShortDateString());   // 印刷年月日
                     strcmd.AppendFormat(",{0}", work.RePrintFlag);                          // 再印刷可能フラグ
@@ -415,9 +441,9 @@
                 strcmd.AppendFormat(",CompletionPaymentPrice = {0}", data.CompletionPaymentPrice);          // 引渡し時の支払金額
 
                 strcmd.AppendFormat(",LeadEngineerCode = {0}", data.LeadEngineerCode);                      // 主任技術者コード
-                strcmd.AppendFormat(",LeadEngineerName = '{0}'", data.LeadEngineerName);                    // 主任技術者名
+                strcmd.AppendFormat(",LeadEngineerName = {0}", SeparateString(data.LeadEngineerName));      // 主任技術者名
                 strcmd.AppendFormat(",SafetyOfficerCode = {0}", data.SafetyOfficerCode);                    // 安全管理者コード
-                strcmd.AppendFormat(",SafetyOfficerName = '{0}'", data.SafetyOfficerName);                  // 安全管理者名
+                strcmd.AppendFormat(",SafetyOfficerName = {0}", SeparateString(data.SafetyOfficerName));    // 安全管理者名
                 strcmd.AppendFormat(",WorkersCount = {0}", data.WorkersCount);                              // 作業員数
                 strcmd.AppendFormat(",PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PrintoutDate.ToShortDateString());// 印刷年月日
                 strcmd.AppendFormat(",RePrintFlag = {0}", data.RePrintFlag);                                // 再印刷可能フラグ
@@ -551,13 +577,13 @@
                         strcmd.AppendFormat(" LeadEngineerCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.LeadEngineerName:         // 主任技術者名
-                        strcmd.AppendFormat(" LeadEngineerName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" LeadEngineerName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SafetyOfficerCode:        // 安全管理者コード
                         strcmd.AppendFormat(" SafetyOfficerCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SafetyOfficerName:        // 安全管理者名
-                        strcmd.AppendFormat(" SafetyOfficerName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SafetyOfficerName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.WorkersCount:             // 作業員数
                         strcmd.AppendFormat(" WorkersCount = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 484)
@@ -67,6 +67,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SELECT　SQL作成
         /// <summary>
         /// SQL作成
@@ -73,31 +111,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM PurchaseOrderDetail", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-            strcmd.Append("  ConstructionCode");	    // 工事コード
-            strcmd.Append(", SeqNo");                   // 注文書枝番
-            strcmd.Append(", GroupCount");              // グループ番号
-            strcmd.Append(", LineCount");               // 行番号
-            strcmd.Append(", ComponentCode");           // 構成キー
-            strcmd.Append(", ItemCode");		        // 工種キー
-            strcmd.Append(", FirstString");             // 工種品名
-            strcmd.Append(", SecondString");            // 内容内訳
-            strcmd.Append(", UnitCount");		        // 数量
-            strcmd.Append(", UnitName");		        // 単位
-            strcmd.Append(", UnitPrice");		        // 単価
-            strcmd.Append(", OrdersLinePrice");		    // 金額
-            strcmd.Append(", SourceCode");              // 台帳工事番号
-            strcmd.Append(", SourceDetailCnt");	        // 台帳明細番号
-            strcmd.Append(", DataTypeFlag");            // 明細行データタイプフラグ
-            strcmd.Append(", StatutoryWelfareRate");    // 法定福利費比率
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM PurchaseOrderDetail");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -211,10 +236,10 @@
                 strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                 strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                 strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
-                strcmd.AppendFormat(",'{0}'", work.FirstString);            // 工種・品名
-                strcmd.AppendFormat(",'{0}'", work.SecondString);           // 内容内訳
+                strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 工種・品名
+                strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 内容内訳
                 strcmd.AppendFormat(", {0}", work.UnitCount);		        // 数量
-                strcmd.AppendFormat(",'{0}'", work.UnitName);		        // 単位
+                strcmd.AppendFormat(", {0}", SeparateString(work.UnitName));		// 単位
                 strcmd.AppendFormat(", {0}", work.UnitPrice);		        // 単価
                 strcmd.AppendFormat(", {0}", work.OrdersLinePrice);         // 金額
                 strcmd.AppendFormat(", {0}", work.SourceCode);              // 台帳工事番号
@@ -273,10 +298,10 @@
                     strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                     strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
-                    strcmd.AppendFormat(",'{0}'", work.FirstString);            // 工種・品名
-                    strcmd.AppendFormat(",'{0}'", work.SecondString);           // 内容内訳
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 工種・品名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 内容内訳
                     strcmd.AppendFormat(", {0}", work.UnitCount);		        // 数量
-                    strcmd.AppendFormat(",'{0}'", work.UnitName);		        // 単位
+                    strcmd.AppendFormat(", {0}", SeparateString(work.UnitName));	    // 単位
                     strcmd.AppendFormat(", {0}", work.UnitPrice);		        // 単価
                     strcmd.AppendFormat(", {0}", work.OrdersLinePrice);         // 金額
                     strcmd.AppendFormat(", {0}", work.SourceCode);              // 台帳工事番号
@@ -327,10 +352,10 @@
                 strcmd.AppendFormat(", LineCount = {0}", data.LineCount);                       // 行番号
                 strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
                 strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);		                    // 工種キー
-                strcmd.AppendFormat(", FirstString = '{0}'", data.FirstString);                 // 工種・品名
-                strcmd.AppendFormat(", SecondString = '{0}'", data.SecondString);               // 内容内訳
+                strcmd.AppendFormat(", FirstString = {0}", SeparateString(data.FirstString));   // 工種・品名
+                strcmd.AppendFormat(", SecondString = {0}", SeparateString(data.SecondString)); // 内容内訳
                 strcmd.AppendFormat(", UnitCount = {0}", data.UnitCount);		                // 数量
-                strcmd.AppendFormat(", UnitName = '{0}'", data.UnitName);		                // 単位
+                strcmd.AppendFormat(", UnitName = {0}", SeparateString(data.UnitName));		    // 単位
                 strcmd.AppendFormat(", UnitPrice = {0}", data.UnitPrice);		                // 単価
                 strcmd.AppendFormat(", OrdersLinePrice = {0}", data.OrdersLinePrice);		    // 金額
                 strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);                     // 台帳工事番号
@@ -414,16 +439,16 @@
                         strcmd.AppendFormat(" ItemCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.FirstString:      // 工種・品名
-                        strcmd.AppendFormat(" FirstString = '{0}'", value);
+                        strcmd.AppendFormat(" FirstString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SecondString:     // 内容内訳
-                        strcmd.AppendFormat(" SecondString = '{0}'", value);
+                        strcmd.AppendFormat(" SecondString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.UnitCount:		// 数量
                         strcmd.AppendFormat(" UnitCount = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.UnitName:		    // 単位
-                        strcmd.AppendFormat(" UnitName = '{0}'", value);
+                        strcmd.AppendFormat(" UnitName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.UnitPrice:		// 単価
                         strcmd.AppendFormat(" UnitPrice = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceData.cs	(revision 484)
@@ -201,7 +201,7 @@
                 strcmd.AppendFormat(" {0}", data.InvoiceNo);
                 strcmd.AppendFormat(", {0}", data.RemPerson);
                 strcmd.AppendFormat(", DATE('{0}')", data.RemDate.ToShortDateString());
-                strcmd.AppendFormat(",'{0}'", data.RemComment);
+                strcmd.AppendFormat(", {0}", SeparateString(data.RemComment));
 
                 strcmd.Append(", NOW()");
                 strcmd.Append(", NOW()");
@@ -249,7 +249,7 @@
                     strcmd.AppendFormat(" {0}", work.InvoiceNo);
                     strcmd.AppendFormat(", {0}", work.RemPerson);
                     strcmd.AppendFormat(", {0}", work.RemDate);
-                    strcmd.AppendFormat(",'{0}'", work.RemComment);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.RemComment));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -290,7 +290,7 @@
                 strcmd.AppendFormat(" InvoiceNo = {0}", data.InvoiceNo);
                 strcmd.AppendFormat(", RemPerson = {0}", data.RemPerson);
                 strcmd.AppendFormat(", RemDate = {0}", data.RemDate);
-                strcmd.AppendFormat(", RemComment = '{0}'", data.RemComment);
+                strcmd.AppendFormat(", RemComment = {0}", SeparateString(data.RemComment));
 
                 strcmd.Append(", UpdateDate = NOW()");
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequest.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequest.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequest.cs	(revision 484)
@@ -171,7 +171,7 @@
                 strcmd.AppendFormat(" {0}", data.RemoveNo);
                 strcmd.AppendFormat(", {0}", data.RemoveDate);
                 strcmd.AppendFormat(", {0}", data.RemovePersonCode);
-                strcmd.AppendFormat(",'{0}'", data.RemoveComment);
+                strcmd.AppendFormat(", {0}", SeparateString(data.RemoveComment));
 
                 strcmd.AppendFormat(", {0}", data.RequestNo);
                 strcmd.AppendFormat(", {0}", data.ReqConstructionCode);
@@ -180,13 +180,13 @@
                 strcmd.AppendFormat(", {0}", data.RequestMonth);
                 strcmd.AppendFormat(", {0}", data.OrderersDivision);
                 strcmd.AppendFormat(", {0}", data.OrderersCode);
-                strcmd.AppendFormat(",'{0}'", data.OrderersName);
-                strcmd.AppendFormat(",'{0}'", data.ReqConstructionName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.OrderersName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ReqConstructionName));
                 strcmd.AppendFormat(", {0}", data.RequestTotalAmount);
                 strcmd.AppendFormat(", {0}", data.RequestAmount);
                 strcmd.AppendFormat(", {0}", data.TaxAmount);
                 strcmd.AppendFormat(", {0}", data.UnpaidAmount);
-                strcmd.AppendFormat(",'{0}'", data.Note);    
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", {0}", data.AssignedFlg);
                 strcmd.AppendFormat(", {0}", data.InvoiceNo);
 
@@ -223,7 +223,7 @@
                 strcmd.AppendFormat(" RemoveNo = {0}", data.RemoveNo);
                 strcmd.AppendFormat(", RemoveDate = {0}", data.RemoveDate);
                 strcmd.AppendFormat(", RemovePersonCode = {0}", data.RemovePersonCode);
-                strcmd.AppendFormat(", RemoveComment = '{0}'", data.RemoveComment);
+                strcmd.AppendFormat(", RemoveComment = {0}", SeparateString(data.RemoveComment));
 
                 strcmd.AppendFormat(", ReqConstructionCode = {0}", data.ReqConstructionCode);
                 strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);
@@ -231,15 +231,15 @@
 
                 strcmd.AppendFormat(", OrderersDivision = {0}", data.OrderersDivision);
                 strcmd.AppendFormat(", OrderersCode = {0}", data.OrderersCode);
-                strcmd.AppendFormat(", OrderersName = '{0}'", data.OrderersName);
+                strcmd.AppendFormat(", OrderersName = {0}", SeparateString(data.OrderersName));
 
 
-                strcmd.AppendFormat(", ReqConstructionName = '{0}'", data.ReqConstructionName);
+                strcmd.AppendFormat(", ReqConstructionName = {0}", SeparateString(data.ReqConstructionName));
                 strcmd.AppendFormat(", RequestTotalAmount = {0}", data.RequestTotalAmount);
                 strcmd.AppendFormat(", RequestAmount = {0}", data.RequestAmount);
                 strcmd.AppendFormat(", TaxAmount = {0}", data.TaxAmount);
                 strcmd.AppendFormat(", UnpaidAmount = {0}", data.UnpaidAmount);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));
                 
                 strcmd.AppendFormat(", AssignedFlg = {0}", data.AssignedFlg);
                 strcmd.AppendFormat(", InvoiceNo = {0}", data.InvoiceNo);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 484)
@@ -170,24 +170,24 @@
                 strcmd.Append("INSERT INTO RequestData");
                 strcmd.Append(" VALUES (");
 
-                strcmd.AppendFormat(" {0}", data.RequestNo.ToString());
+                strcmd.AppendFormat(" {0}", data.RequestNo);
 
-                strcmd.AppendFormat(", {0}", data.MainConstructionCode.ToString());
-                strcmd.AppendFormat(", '{0}'", data.ConstructionName.ToString());
+                strcmd.AppendFormat(", {0}", data.MainConstructionCode);
+                strcmd.AppendFormat(", {0}", SeparateString(data.ConstructionName));
 
-                strcmd.AppendFormat(", {0}", data.ContractAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.PaidAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount0.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount1.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount2.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount3.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount4.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount5.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount6.ToString());
-                strcmd.AppendFormat(", {0}", data.UnclaimedAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.UnpaidAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.TaxAmount.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(", {0}", data.ContractAmount);
+                strcmd.AppendFormat(", {0}", data.PaidAmount);
+                strcmd.AppendFormat(", {0}", data.RequestAmount0);
+                strcmd.AppendFormat(", {0}", data.RequestAmount1);
+                strcmd.AppendFormat(", {0}", data.RequestAmount2);
+                strcmd.AppendFormat(", {0}", data.RequestAmount3);
+                strcmd.AppendFormat(", {0}", data.RequestAmount4);
+                strcmd.AppendFormat(", {0}", data.RequestAmount5);
+                strcmd.AppendFormat(", {0}", data.RequestAmount6);
+                strcmd.AppendFormat(", {0}", data.UnclaimedAmount);
+                strcmd.AppendFormat(", {0}", data.UnpaidAmount);
+                strcmd.AppendFormat(", {0}", data.TaxAmount);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
 
                 strcmd.Append(", NOW()");
                 strcmd.Append(", NOW()");
@@ -222,22 +222,22 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" ConstructionName = '{0}'", data.ConstructionName.ToString());
-                strcmd.AppendFormat(",ContractAmount = {0}", data.ContractAmount.ToString());
-                strcmd.AppendFormat(",PaidAmount = {0}", data.PaidAmount.ToString());
+                strcmd.AppendFormat(" ConstructionName = {0}", SeparateString(data.ConstructionName));
+                strcmd.AppendFormat(",ContractAmount = {0}", data.ContractAmount);
+                strcmd.AppendFormat(",PaidAmount = {0}", data.PaidAmount);
 
-                strcmd.AppendFormat(",RequestAmount0 = {0}", data.RequestAmount0.ToString());
-                strcmd.AppendFormat(",RequestAmount1 = {0}", data.RequestAmount1.ToString());
-                strcmd.AppendFormat(",RequestAmount2 = {0}", data.RequestAmount2.ToString());
-                strcmd.AppendFormat(",RequestAmount3 = {0}", data.RequestAmount3.ToString());
-                strcmd.AppendFormat(",RequestAmount4 = {0}", data.RequestAmount4.ToString());
-                strcmd.AppendFormat(",RequestAmount5 = {0}", data.RequestAmount5.ToString());
-                strcmd.AppendFormat(",RequestAmount6 = {0}", data.RequestAmount6.ToString());
+                strcmd.AppendFormat(",RequestAmount0 = {0}", data.RequestAmount0);
+                strcmd.AppendFormat(",RequestAmount1 = {0}", data.RequestAmount1);
+                strcmd.AppendFormat(",RequestAmount2 = {0}", data.RequestAmount2);
+                strcmd.AppendFormat(",RequestAmount3 = {0}", data.RequestAmount3);
+                strcmd.AppendFormat(",RequestAmount4 = {0}", data.RequestAmount4);
+                strcmd.AppendFormat(",RequestAmount5 = {0}", data.RequestAmount5);
+                strcmd.AppendFormat(",RequestAmount6 = {0}", data.RequestAmount6);
 
-                strcmd.AppendFormat(",UnclaimedAmount = {0}", data.UnclaimedAmount.ToString());
-                strcmd.AppendFormat(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
-                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount.ToString());
-                strcmd.AppendFormat(",Note = '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(",UnclaimedAmount = {0}", data.UnclaimedAmount);
+                strcmd.AppendFormat(",UnpaidAmount = {0}", data.UnpaidAmount);
+                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount);
+                strcmd.AppendFormat(",Note = {0}", SeparateString(data.Note));
 
                 strcmd.Append(", UpdateDate = NOW()");
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 484)
@@ -191,15 +191,15 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" ConstructionKind = '{0}'", data.ConstructionKind.ToString());
-                strcmd.AppendFormat(",RequestAmount = {0}", data.RequestAmount.ToString());
-                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(" ConstructionKind = {0}", data.ConstructionKind);
+                strcmd.AppendFormat(",RequestAmount = {0}", data.RequestAmount);
+                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount);
 
                 strcmd.Append(", UpdateDate = NOW()");
 
-                strcmd.AppendFormat(" Where RequestNo = {0}", data.RequestNo.ToString());
-                strcmd.AppendFormat("  And MainConstructionCode = {0}", data.MainConstructionCode.ToString());
-                strcmd.AppendFormat("  And ConstructionCode = {0} ", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(" Where RequestNo = {0}", data.RequestNo);
+                strcmd.AppendFormat("  And MainConstructionCode = {0}", data.MainConstructionCode);
+                strcmd.AppendFormat("  And ConstructionCode = {0} ", data.ConstructionCode);
                 strcmd.Append(AddSQLString);
 
                 if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
